<?php

namespace Drupal\commerce_imoje\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\commerce_payment\Entity\PaymentInterface;

/**
 * Defines the imoje payment event.
 */
class ImojePaymentEvent extends Event {

  const IMOJE_PAYMENT_RECEIVED = 'commerce_imoje.imoje_payment.received';
  const IMOJE_PAYMENT_UPDATED = 'commerce_imoje.imoje_payment.updated';

  /**
   * The payment.
   *
   * @var \Drupal\commerce_payment\Entity\PaymentInterface
   */
  protected $payment;

  /**
   * Constructs a new imoje payment event.
   *
   * @param \Drupal\commerce_payment\Entity\PaymentInterface $payment
   *   The order payment.
   */
  public function __construct(PaymentInterface $payment) {
    $this->payment = $payment;
  }

  /**
   * Gets the payment.
   *
   * @return \Drupal\commerce_payment\Entity\PaymentInterface
   *   The order payment.
   */
  public function getPayment() {
    return $this->payment;
  }
}
